import React from 'react'
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon'

const ParametersIcon: React.FC<SvgIconProps> = (props) => {
  return (
    <SvgIcon viewBox={'0 0 512 512'} {...props}>
      <path
        d="M500.647,211.454l-25.536-6.138c-5.596-24.404-15.088-47.358-28.301-68.467l12.964-21.621
			c3.545-5.903,2.607-13.462-2.256-18.325l-42.422-42.422c-4.849-4.878-12.422-5.815-18.325-2.256L375.15,65.189
			c-21.108-13.213-44.063-22.705-68.467-28.301l-6.138-24.536C298.876,5.688,292.885,0,286,0h-60
			c-6.885,0-12.876,5.688-14.546,12.353l-6.138,24.536c-24.404,5.596-47.358,15.088-68.467,28.301l-21.621-12.964
			c-5.903-3.516-13.462-2.607-18.325,2.256L54.481,96.903c-4.863,4.863-5.801,12.422-2.256,18.325l12.964,21.621
			c-13.213,21.108-22.705,44.063-28.301,68.467l-25.536,6.138C4.688,213.124,0,219.115,0,226v60c0,6.885,4.688,12.876,11.353,14.546
			l25.536,6.138c5.596,24.404,15.088,47.358,28.301,68.467l-12.964,21.621c-3.545,5.903-2.607,13.462,2.256,18.325l42.422,42.422
			c4.849,4.878,12.393,5.771,18.325,2.256l21.621-12.964c21.108,13.213,44.063,22.705,68.467,28.301l6.138,25.536
			C213.124,507.313,219.115,512,226,512h60c6.885,0,12.876-4.688,14.546-11.353l6.138-25.536
			c24.404-5.596,47.358-15.088,68.467-28.301l21.621,12.964c5.889,3.53,13.462,2.593,18.325-2.256l42.422-42.422
			c4.863-4.863,5.801-12.422,2.256-18.325l-12.964-21.621c13.213-21.108,22.705-44.063,28.301-68.467l25.536-6.138
			C507.313,298.876,512,292.885,512,286v-60C512,219.115,507.313,213.124,500.647,211.454z M256,421c-90.981,0-165-74.019-165-165
			S165.019,91,256,91s165,74.019,165,165S346.981,421,256,421z"
      />
    </SvgIcon>
  )
}

export default ParametersIcon
